@charset "UTF-8";
/**
 * 引数のfontSizeをremに変換する関数
 * @param fontSize フォントサイズ
 *
 * 例）18pxをremに変換
 * font-size: px-to-rem(18);
 */
/**
 * 余白のサイズ感を4px単位に統一するための関数
 * @param size 余白サイズ
 *
 * 例）16pxの余白を設定
 * margin-top: spacing(2);
 */
:is(.is-root-container, .entry-content) > * {
  margin: 2rem 0 1rem;
}
:is(.is-root-container, .entry-content) > *:first-child {
  margin-top: 0;
}
:is(.is-root-container, .entry-content) > *:last-child {
  margin-bottom: 0;
}
:is(.is-root-container, .entry-content) h1,
:is(.is-root-container, .entry-content) h2,
:is(.is-root-container, .entry-content) h3,
:is(.is-root-container, .entry-content) h4,
:is(.is-root-container, .entry-content) h5,
:is(.is-root-container, .entry-content) h6 {
  margin: 2rem 0 1rem;
  font-family: var(--font-alphameric);
  font-weight: var(--font-bold);
  line-height: 1.5;
  letter-spacing: 0.05em;
}
:is(.is-root-container, .entry-content) h1,
:is(.is-root-container, .entry-content) h2 {
  border-left: 2px solid var(--color-primary-hex);
  padding-left: 0.25em;
  font-size: 1.5rem;
}
:is(.is-root-container, .entry-content) h3 {
  padding-bottom: 0.25em;
  font-size: 1.25rem;
}
:is(.is-root-container, .entry-content) h4, :is(.is-root-container, .entry-content) h5, :is(.is-root-container, .entry-content) h6 {
  font-size: 1rem;
  color: var(--color-primary-hex);
}
:is(.is-root-container, .entry-content) :is(ul, ol) {
  margin-left: 1em;
}

/*# sourceMappingURL=data:application/json;charset=utf-8,%7B%22version%22:3,%22sourceRoot%22:%22%22,%22sources%22:%5B%22../../src/scss/foundation/_functions.scss%22,%22../../src/scss/editor.scss%22%5D,%22names%22:%5B%5D,%22mappings%22:%22;AAEA;AAAA;AAAA;AAAA;AAAA;AAAA;AAAA;AAWA;AAAA;AAAA;AAAA;AAAA;AAAA;AAAA;ACRE;EACE;;AAEA;EACE;;AAGF;EACE;;AAIJ;AAAA;AAAA;AAAA;AAAA;AAAA;EAME;EACA;EACA;EACA;EACA;;AAGF;AAAA;EAEE;EACA;EACA;;AAGF;EACE;EACA;;AAGF;EACE;EACA;;AAGF;EACE%22,%22file%22:%22editor.css%22%7D */
